<div class="example-container mat-elevation-z8">
    <mat-table #table [dataSource]="dataSource">

        <ng-container matColumnDef="name">
            <mat-header-cell *matHeaderCellDef> Name</mat-header-cell>
            <mat-cell *matCellDef="let element"> {{ element.name }} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="description">
            <mat-header-cell *matHeaderCellDef> Description</mat-header-cell>
            <mat-cell *matCellDef="let element"> {{ element.description }} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="price">
            <mat-header-cell *matHeaderCellDef> Price</mat-header-cell>
            <mat-cell *matCellDef="let element"> {{ element.price }} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="edit">
            <th mat-header-cell *matHeaderCellDef> Edit </th>
            <td mat-cell *matCellDef="let element">
                <div><button mat-raised-button color="warn" (click)="onClickDelete(element)">
                        Delete
                    </button>
                </div>
            </td>
        </ng-container>

        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
    </mat-table>

    <mat-paginator #paginator [pageSize]="10" [pageSizeOptions]="[5, 10, 20]" [showFirstLastButtons]="true">
    </mat-paginator>

</div>